// Copyright 2020 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.

// GCC-9.4 and above on arm64 introduced the "outline atomics" that the
// current internal linking doesn't support.
// See issue #39466.

// +build arm64,internal

package cgotest

import (
	"runtime"
	"testing"
)

func test7978(t *testing.T) {
	if runtime.Compiler == "gccgo" {
		t.Skip("gccgo can not do stack traces of C code")
	}

	t.Skip("skip on arm64+internal")
}
